%define section devel

Summary:        CVS repository statistics
Name:           statcvs
Version:        0.2.2
Release:        2jpp
Epoch:          0
License:        LGPL
URL:            http://statcvs.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        statcvs-0.2.2-source.zip
Source1:        statcvs-launch.sh
#Patch0:         statcvs-0.2.2-jfreechart.patch
Patch1:         statcvs-0.2.2-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  junit 
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6 
BuildRequires:  jfreechart >= 0:0.9.21
BuildRequires:  jcommon >= 0:0.9.7
BuildRequires:  java-devel >= 1.4
Requires:  jfreechart >= 0:0.9.21
Requires:  jcommon >= 0:0.9.7
Requires:  java-devel >= 1.4
Requires:  java-fonts
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
StatCvs retrieves information from a CVS repository 
and generates various tables and charts describing 
the project development, e.g. timeline for the lines 
of code, contribution of each developer etc.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q
find . -name "*.jar" -exec rm {} \;
mkdir -p lib

#%patch0 -b .sav
%patch1 -b .sav

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
jcommon \
jfreechart)
CLASSPATH=build:tests-build:$CLASSPATH
ant test javadoc dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 dist/%{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%attr(0755,root,root) %{_bindir}/%{name}
%doc etc/LICENSE
%doc etc/report-notes.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Wed Sep 21 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.2.2-2jpp
- Unpatch for jfreechart-0.9.21
- Relax some versioned dependencies - jfreechart 0.9.21 required

* Wed Dec 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.2.2-1jpp
- Upgrade to 0.2.2 for jfreechart-0.9.20

* Fri Sep 03 2004 Fernando Nasser <fnasser@redhat.com> - 0:0.1.3-4jpp
- Rebuild with Ant 1.6.2

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.1.3-3jpp
- Upgrade to Ant 1.6.X

* Tue May 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.1.3-2jpp
- Patched and compiled against jfreechart-0.9.16 and jcommon-0.9.1 - and tested!
- Specified Requires:  jfreechart = 0:0.9.16
- Specified Requires:  jcommon = 0:0.9.1
- Specified Requires:  java >= 1.4
- Specified Requires:  java-fonts
- Specified BuildRequires:  java-devel >= 1.4
- Added simple launcher script; don't use -jar

* Sat Mar 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.1.3-1jpp
- First JPackage release
